=== debian/changelog ===
libudis86 (0+20221013-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No change source-only upload to allow testing migration.

 -- Boyuan Yang <byang@debian.org>  Mon, 29 Jul 2024 19:57:34 -0400

libudis86 (0+20221013-1) unstable; urgency=low

  * Initial release. Closes: #1061940

 -- Alan M Varghese (NyxTrail) <alan@digistorm.in>  Mon, 29 Jan 2024 09:13:39 +0000
