=== debian/control ===
Source: libudis86
Section: misc
Priority: optional
Maintainer: Alan M Varghese (NyxTrail) <alan@digistorm.in>
Build-Depends: debhelper-compat (= 13),
               python3,
               python3-sphinx,
               pandoc
Standards-Version: 4.7.0
Homepage: https://github.com/canihavesomecoffee/udis86
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/NyxTrail/udis86.git
Vcs-Browser: https://salsa.debian.org/NyxTrail/udis86

Package: libudis86-0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Disassembler for x86 and x86-64 class ISA (library)
 Udis86 is a disassembler for the x86 and x86-64 class of instruction
 set architectures. It consists of a C library called libudis86 which
 provides a clean and simple interface to decode and inspect a stream
 of raw binary data as disassembled instructions in a structured manner,
 and a command line tool called udcli that incorporates the library.
 .
 This package contains the main library.

Package: libudis86-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libudis86-0 (= ${binary:Version})
Description: Disassembler for x86 and x86-64 class ISA (development files)
 Udis86 is a disassembler for the x86 and x86-64 class of instruction
 set architectures. It consists of a C library called libudis86 which
 provides a clean and simple interface to decode and inspect a stream
 of raw binary data as disassembled instructions in a structured manner,
 and a command line tool called udcli that incorporates the library.
 .
 This package contains the development files for the udis86 library.

Package: udcli
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libudis86-0
Description: Disassembler for x86 and x86-64 class ISA (cli)
 Udis86 is a disassembler for the x86 and x86-64 class of instruction
 set architectures. It consists of a C library called libudis86 which
 provides a clean and simple interface to decode and inspect a stream
 of raw binary data as disassembled instructions in a structured manner,
 and a command line tool called udcli that incorporates the library.
 .
 This package contains the CLI program for udis86 library.

Package: libudis86-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Disassembler for x86 and x86-64 class ISA (documentation)
 Udis86 is a disassembler for the x86 and x86-64 class of instruction
 set architectures. It consists of a C library called libudis86 which
 provides a clean and simple interface to decode and inspect a stream
 of raw binary data as disassembled instructions in a structured manner,
 and a command line tool called udcli that incorporates the library.
 .
 This package contains the CLI documentation for udis86 library.
