=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1

%:
	dh $@ --with autoreconf,sphinxdoc

override_dh_auto_build:
	dh_auto_build
	sphinx-build -c docs/manual -bhtml docs/manual docs/manual/html
# override_dh_autoreconf:
	#dh_autoreconf -- ./autogen.sh
override_dh_auto_configure:
	dh_auto_configure -- --with-python=/usr/bin/python3
override_dh_auto_install:
	mkdir -p debian/tmp/usr/share/doc/udcli \
		debian/tmp/usr/share/doc/udis86/html \
		debian/tmp/usr/share/doc/udis86/x86
	mv docs/manual/html debian/tmp/usr/share/doc/udis86/
	cp docs/x86/avx.xml docs/x86/README debian/tmp/usr/share/doc/udis86/x86/
	pandoc debian/udcli.1.rst --standalone \
		--variable=header:"udcli User Manual" \
		--variable=section:1 \
		--from rst \
		--to man > debian/tmp/usr/share/doc/udcli/udcli.1
	dh_auto_install
override_dh_auto_test:
	:
override_dh_auto_clean:
	dh_auto_clean
	rm -rf debian/doctrees
