=== debian/watch ===
version=4
# Upstream has not published a new version in ~10+ years and 
# there is no active development.
# There is no meaningful way to configure uscan at the moment.
